GZipPacker (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.zip
Class GZipPacker

    java.lang.Object
      rabbit.zip.GZipPacker

    public class GZipPacker

extends Object

A class that can pack gzip streams in chunked mode.

Author:
  Robert Olofsson

Constructor Summary
`GZipPacker(GZipPackListener listener)` Create a gzip packer that sends events to the given listener.

Method Summary
`void` | `finish()` Tell the packer that it has reached the end of data.
`boolean` | `finished()` Check if the packer is finished.
`void` | `handleCurrentData()` Handle the next block of the current data.
`boolean` | `needsInput()` Check if the unpacker currently needs more data
`void` | `setInput(byte[] buf, int off, int len)` Add more compressed data to the unpacker.
`void` | `setState(rabbit.zip.GZipPackState state)` Change the internal gzip state to the given state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GZipPacker

    public GZipPacker(GZipPackListener listener)

  Create a gzip packer that sends events to the given listener.

Method Detail

### needsInput

    public boolean needsInput()

  Check if the unpacker currently needs more data

### setInput

    public void setInput(byte[] buf,
                         int off,
                         int len)

  Add more compressed data to the unpacker.

### finish

    public void finish()

  Tell the packer that it has reached the end of data.

### finished

    public boolean finished()

  Check if the packer is finished.

### handleCurrentData

    public void handleCurrentData()

  Handle the next block of the current data.

### setState

    public void setState(rabbit.zip.GZipPackState state)

  Change the internal gzip state to the given state.

  Parameters:
    `state` - the new internal state of the gzip packer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD